net.minecraft.entity.player

## Class PlayerCapabilities

- java.lang.Object
- - net.minecraft.entity.player.PlayerCapabilities

-     public class PlayerCapabilities
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `allowEdit` Indicates whether the player is allowed to modify the surroundings
    `boolean` | `allowFlying` whether or not to allow the player to fly when they double jump.
    `boolean` | `disableDamage` Disables player damage.
    `boolean` | `isCreativeMode` Used to determine if creative mode is enabled, and therefore if items should be depleted on usage
    `boolean` | `isFlying` Sets/indicates whether the player is flying.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerCapabilities()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_82877_b(float par1)`
    `float` | `getFlySpeed()`
    `float` | `getWalkSpeed()`
    `void` | `readCapabilitiesFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `setFlySpeed(float par1)`
    `void` | `writeCapabilitiesToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### disableDamage

          public boolean disableDamage

      Disables player damage.

    - #### isFlying

          public boolean isFlying

      Sets/indicates whether the player is flying.

    - #### allowFlying

          public boolean allowFlying

      whether or not to allow the player to fly when they double jump.

    - #### isCreativeMode

          public boolean isCreativeMode

      Used to determine if creative mode is enabled, and therefore if items should be depleted on usage

    - #### allowEdit

          public boolean allowEdit

      Indicates whether the player is allowed to modify the surroundings

  - ### Constructor Detail

    - #### PlayerCapabilities

          public PlayerCapabilities()

  - ### Method Detail

    - #### writeCapabilitiesToNBT

          public void writeCapabilitiesToNBT(NBTTagCompound par1NBTTagCompound)

    - #### readCapabilitiesFromNBT

          public void readCapabilitiesFromNBT(NBTTagCompound par1NBTTagCompound)

    - #### getFlySpeed

          public float getFlySpeed()

    - #### setFlySpeed

          public void setFlySpeed(float par1)

    - #### getWalkSpeed

          public float getWalkSpeed()

    - #### func_82877_b

          public void func_82877_b(float par1)